/* typo & common */
@media (max-width: 1280px) {
  .container {
    padding: 0 20px;
    width: 95%;
  }
}
@media (max-width: 768px) {
  .section {
    padding: 40px 0;
  }
  html, body {
    font-size: 14px;
  }
}

/* ==== header 영역 ==== */
@media (max-width: 1280px) {
  .header .headerMenu h1.logo a img {
    width: 120px;
    height: auto;
  }
}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* ==== main 영역 ==== */
/* visual */
@media (max-width: 1280px) {
  .visual .bannerArea {
    width: 96%;
  }
  .visual .recentBooksArea {
    padding-top: 84px;
  }
  .visual .recentBooksArea .sw-visual-recentBooks .swiper-wrapper {
    padding-left: 0;
  }
  .recentBooks-toggleBtn {
    top: 24px;
  }
}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* eventList */
@media (max-width: 1280px) {
  .eventList ul {
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
  }
}
@media (max-width: 1024px) {
  .eventList ul {
    flex-wrap: wrap;
    gap: 30px 0;
    justify-content: flex-start;
  }
  
  .eventList ul li {
    width: 20%;
    display: flex;
    justify-content: center;
  }
}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* picks */
@media (max-width: 1200px) {
  .sw-picks-books .swiper-slide .hoverBook .book-info span.name {
    -webkit-line-clamp: 1;
    margin-bottom: 5px;
  }
  .sw-picks-books .swiper-slide .hoverBook .moreBtn {
    bottom: 18%;
    width: 30px;
    height: 30px;
  }
}
@media (max-width: 1024px) {
  .sw-picks-books .swiper-slide .hoverBook .book-info span.name {
    font-size: 18px;
  }
  .sw-picks-books .swiper-slide .hoverBook .book-info span.author {
    font-size: 13px;
  }
    .sw-picks-books .swiper-slide .hoverBook .moreBtn {
    bottom: 20%;
    width: 35px;
    height: 35px;
  }
}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* adBanner */
@media (max-width: 1280px) {}
@media (max-width: 1024px) {
  .adBanner.section {
    padding: 30px 0;
  }
  
  .adBanner .container {
    width: 100%;
    padding: 0 20px;
  }

  .adBanner a {
    display: block;
    box-shadow: 0 5px 15px rgba(0,0,0,0.08);
    border-radius: 15px;
    overflow: hidden;
  }
}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* best */
@media (max-width: 1480px) {
  .best .bestBooksArea .best-btn-prev {
    right: auto; 
    left: 0;     
    z-index: 10;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.1); 
  }

  .best .bestBooksArea .best-btn-next {
    left: auto;
    right: 0;
    z-index: 10;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.1);
  }
}
@media (max-width: 1280px) {}
@media (max-width: 1024px) {
  .best .bestBooksArea .bestBookLarge {
    display: none; 
  }
  .best .bestBooksArea .best-tabContents {
    width: 100%;
  }
  .best .bestBooksArea .container {
    display: block;
  }
}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* casting */
@media (max-width: 1480px) {
  .casting .castingArea .casting-btn-prev {
    right: auto;
    left: 0;
    z-index: 10;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.1);
  }
  .casting .castingArea .casting-btn-next {
    left: auto;
    right: 0;
    z-index: 10;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.1);
  }
}
@media (max-width: 1280px) {
  .sw-casting-main .swiper-slide {
    gap: 20px;
  }
  .sw-casting-main .swiper-slide .castLiveArea {
    width: 45%;
    min-width: 300px;
  }
  .sw-casting-main .swiper-slide .castLiveArea span {
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    -webkit-line-clamp: unset; 
    -webkit-box-orient: unset;
    padding: 12px;
  }
  .castProductArea {
    width: 45%;
    margin-top: 10px;
  }
  .sw-casting-thumb {
    position: relative;
    right: 0;
  }
}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* events */
@media (max-width: 1480px) {
  .events .container {
    justify-content: center;
    gap: 120px;
  }
  .events .eventsSlideArea .events-btn-prev {
    right: calc(100% + 5px);
  }
  .events .eventsSlideArea .events-btn-next {
    left: calc(100% + 5px);
  }
  .events .eventsTodayArea {
    width: 40%;
  }
  .events .eventsTodayArea .today-week {
    padding: 20px 80px;
    font-size: 22px;
  }
  .events .eventsTodayArea .today-goBtns {
    padding: 60px 50px;
    font-size: 16px;
  }
  .events .eventsTodayArea .today-goBtns .attend,
  .events .eventsTodayArea .today-goBtns .benefit {
    padding: 15px 30px;
    gap: 10px;
  }
}
@media (max-width: 1280px) {
  .events .eventsSlideArea {
    width: 40%;
  }
  .events .eventsSlideArea .events-tabBtn ul li a {
    width: 120px;
  }
  .events .eventsTodayArea {
    width: 40%;
  }
    .events .eventsTodayArea .today-week {
    padding: 15px 60px;
    font-size: 18px;
  }
  .events .eventsTodayArea .today-desc strong {
    font-size: 18px;
  }
  .events .eventsTodayArea .today-desc p {
    font-size: 16px;
    margin-bottom: 25px;
  }
    .events .eventsTodayArea .today-goBtns {
    font-size: 14px;
    padding: 45px 30px;
  }
  .events .eventsTodayArea .today-goBtns::before {
    bottom: -2px;
    left: 24px;
    width: 70px;
    height: 52px;
  }
  .events .eventsTodayArea .today-goBtns::after {
    top: -3px;
    right: 4px;
    width: 72px;
    height: 70px;
  }
}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}

/* ==== footer 영역 ==== */
@media (max-width: 1280px) {
  .footer .footer-bottom .footer-bottom-last {
    gap: 10px;
  }
  .footer .footer-bottom .links-cert-wrap .links .family-site {
    gap: 80px;
  }
  .footer .footer-bottom .links-cert-wrap .links .go-sns {
    gap: 80px;
  }
}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}


/* ========================== */
@media (max-width: 1280px) {}
@media (max-width: 1024px) {}
@media (max-width: 768px) {}
@media (max-width: 480px) {}